Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.interop
Class RMInteropServiceStub

    java.lang.Object
      org.apache.axis2.client.Stub
          org.apache.sandesha2.interop.RMInteropServiceStub

    public class RMInteropServiceStub

extends org.apache.axis2.client.Stub

Field Summary
`protected org.apache.axis2.description.AxisOperation[]` | `_operations`

Fields inherited from class org.apache.axis2.client.Stub
`_service, _serviceClient, modules`

Constructor Summary
`RMInteropServiceStub()` Default Constructor
`RMInteropServiceStub(org.apache.axis2.context.ConfigurationContext configurationContext)` Default Constructor
`RMInteropServiceStub(org.apache.axis2.context.ConfigurationContext configurationContext, java.lang.String targetEndpoint)` Constructor that takes in a configContext
`RMInteropServiceStub(org.apache.axis2.context.ConfigurationContext configurationContext, java.lang.String targetEndpoint, boolean useSeparateListener)` Constructor that takes in a configContext and useseperate listner
`RMInteropServiceStub(java.lang.String targetEndpoint)` Constructor taking the target endpoint

Method Summary
`org.tempuri.EchoStringResponse` | `echoString(org.tempuri.EchoString echoString15)` Auto generated method signature
`void` | `ping(org.tempuri.Ping ping17)` Auto generated method signature
`void` | `startechoString(org.tempuri.EchoString echoString15, RMInteropServiceCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations

Methods inherited from class org.apache.axis2.client.Stub
`_getServiceClient, _setServiceClient, addAnonymousOperations, addHeader, addHeader, addHttpHeader, addPropertyToOperationClient, addPropertyToOperationClient, addPropertyToOperationClient, cleanup, createEnvelope, finalize, getFactory, setMustUnderstand, setServiceClientEPR`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _operations

    protected org.apache.axis2.description.AxisOperation[] _operations

Constructor Detail

### RMInteropServiceStub

    public RMInteropServiceStub(org.apache.axis2.context.ConfigurationContext configurationContext,
                                java.lang.String targetEndpoint)
                         throws org.apache.axis2.AxisFault

  Constructor that takes in a configContext

  Throws:
    `org.apache.axis2.AxisFault`

### RMInteropServiceStub

    public RMInteropServiceStub(org.apache.axis2.context.ConfigurationContext configurationContext,
                                java.lang.String targetEndpoint,
                                boolean useSeparateListener)
                         throws org.apache.axis2.AxisFault

  Constructor that takes in a configContext and useseperate listner

  Throws:
    `org.apache.axis2.AxisFault`

### RMInteropServiceStub

    public RMInteropServiceStub(org.apache.axis2.context.ConfigurationContext configurationContext)
                         throws org.apache.axis2.AxisFault

  Default Constructor

  Throws:
    `org.apache.axis2.AxisFault`

### RMInteropServiceStub

    public RMInteropServiceStub()
                         throws org.apache.axis2.AxisFault

  Default Constructor

  Throws:
    `org.apache.axis2.AxisFault`

### RMInteropServiceStub

    public RMInteropServiceStub(java.lang.String targetEndpoint)
                         throws org.apache.axis2.AxisFault

  Constructor taking the target endpoint

  Throws:
    `org.apache.axis2.AxisFault`

Method Detail

### echoString

    public org.tempuri.EchoStringResponse echoString(org.tempuri.EchoString echoString15)
                                              throws java.rmi.RemoteException

  Auto generated method signature

  Parameters:
    `echoString15` -
  Throws:
    `java.rmi.RemoteException`
  See Also:
    `org.apache.sandesha2.interop.RMInteropService#echoString`

### startechoString

    public void startechoString(org.tempuri.EchoString echoString15,
                                RMInteropServiceCallbackHandler callback)
                         throws java.rmi.RemoteException

  Auto generated method signature for Asynchronous Invocations

  Parameters:
    `echoString15` -
  Throws:
    `java.rmi.RemoteException`
  See Also:
    `org.apache.sandesha2.interop.RMInteropService#startechoString`

### ping

    public void ping(org.tempuri.Ping ping17)
              throws java.rmi.RemoteException

  Auto generated method signature

  Throws:
    `java.rmi.RemoteException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.